## pgocaml 1.3

=== Makefile ===
# PG'OCaml - type safe interface to PostgreSQL.
# Copyright (C) 2005-2008 Richard Jones and other authors.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Library General Public
# License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Library General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this library; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
# Boston, MA 02111-1307, USA.

include Makefile.config

SED	:= sed
FGREP	:= fgrep

OCAMLCFLAGS	:= -g
OCAMLCPACKAGES	:= -package unix,extlib,pcre,calendar,csv
OCAMLCLIBS	:= -linkpkg

OCAMLOPTFLAGS	:=
OCAMLOPTPACKAGES := $(OCAMLCPACKAGES)
OCAMLOPTLIBS	:= -linkpkg

OCAMLDOCFLAGS := -html -stars -sort $(OCAMLCPACKAGES)

GETLIB=-I +$(1) $(shell ocamlfind query $(1) -predicates byte -format "%d/%a")

FOR_P4  := \
	$(call GETLIB,unix) \
	$(call GETLIB,str) \
	$(call GETLIB,pcre) \
	$(call GETLIB,extlib) \
	$(call GETLIB,calendar) \
	$(call GETLIB,csv) \
	./pgocaml.cma

#
# This is split into two because back-tick notation
# doesn't necessarily work under Windows
#

OCAMLVERSION := $(shell ocamlc -v | $(FGREP) "version" | $(SED) -e "s/.*3\.\(..\)\..*/\1/")
P4_PARAMS := $(shell [ $(OCAMLVERSION) -ge 9 ] && echo -loc loc)

ifdef WINDOWS
  EXECUTABLE_SUFFIX := .exe
endif

#
# Top-rules.
#

OBJS	:= pGOCaml_config.cmo pGOCaml_generic.cmo pGOCaml.cmo
XOBJS	:= $(OBJS:.cmo=.cmx)

all: META pGOCaml_config.ml pgocaml.cma pgocaml.cmxa pa_pgsql.cmo pgocaml_prof$(EXECUTABLE_SUFFIX)

test: test_pgocaml_lowlevel$(EXECUTABLE_SUFFIX) test_pgocaml$(EXECUTABLE_SUFFIX)

#
# Rules for testing programs.
#

test_pgocaml_lowlevel$(EXECUTABLE_SUFFIX): test_pgocaml_lowlevel.cmo pgocaml.cma
	ocamlfind ocamlc $(OCAMLCFLAGS) $(OCAMLCPACKAGES) $(OCAMLCLIBS) pgocaml.cma -o $@ $<

test_pgocaml$(EXECUTABLE_SUFFIX): test_pgocaml.cmo pgocaml.cma
	ocamlfind ocamlc $(OCAMLCFLAGS) $(OCAMLCPACKAGES) $(OCAMLCLIBS) pgocaml.cma -o $@ $<

pgocaml_prof$(EXECUTABLE_SUFFIX): pgocaml_prof.cmx
	ocamlfind ocamlopt $(OCAMLOPTFLAGS) $(OCAMLOPTPACKAGES) $(OCAMLOPTLIBS) -o $@ $<

test_pgocaml.cmo: test_pgocaml.ml pgocaml.cma pa_pgsql.cmo
	ocamlfind ocamlc $(OCAMLCFLAGS) $(OCAMLCPACKAGES) $(OCAMLCLIBS) -pp "camlp4o $(FOR_P4) ./pa_pgsql.cmo" -c $<

print_test: force
	camlp4o $(FOR_P4) ./pa_pgsql.cmo pr_o.cmo test_pgocaml.ml

#
# Rules for core library.
#

pa_pgsql.cmo: pa_pgsql.ml4
	ocamlfind ocamlc $(OCAMLCFLAGS) $(OCAMLCPACKAGES) \
	  -pp "camlp4o pa_extend.cmo q_MLast.cmo $(P4_PARAMS) -impl" \
	  -I +camlp4 -c -impl $<

pgocaml.cma: $(OBJS)
	ocamlfind ocamlc $(OCAMLCFLAGS) $(OCAMLCPACKAGES) -a -o $@ $^

pgocaml.cmxa: $(XOBJS)
	ocamlfind ocamlopt $(OCAMLOPTFLAGS) $(OCAMLOPTPACKAGES) -a -o $@ $^

pGOCaml_config.ml: pGOCaml_config.ml.in Makefile Makefile.config
	< $< sed -e "s|@DEFAULT_UNIX_DOMAIN_SOCKET_DIR@|$(DEFAULT_UNIX_DOMAIN_SOCKET_DIR)|" > $@

#
# Common rules for building OCaml objects.
#

.mli.cmi:
	ocamlfind ocamlc $(OCAMLCFLAGS) $(OCAMLCINCS) $(OCAMLCPACKAGES) -c $<
.ml.cmo:
	ocamlfind ocamlc $(OCAMLCFLAGS) $(OCAMLCINCS) $(OCAMLCPACKAGES) -c $<
.ml.cmx:
	ocamlfind ocamlopt $(OCAMLOPTFLAGS) $(OCAMLOPTINCS) $(OCAMLOPTPACKAGES) -c $<

#
# Findlib META file.
#

META:	META.in Makefile.config
	$(SED)  -e 's/@PACKAGE@/$(PACKAGE)/' \
		-e 's/@VERSION@/$(VERSION)/' \
		< $< > $@

#
# Clean.
#

clean:
	rm -f *.cmi *.cmo *.cmx *.cma *.cmxa *.o *.a *.so *~ core .depend META \
	test_pgocaml_lowlevel test_pgocaml pgocaml_prof

#
# Dependencies.
#

depend: .depend

.depend: pGOCaml_config.ml
	rm -f .depend
	ocamldep pGOCaml*.ml pGOCaml*.mli > $@
	-ocamldep -pp "camlp4o $(FOR_P4) ./pa_pgsql.cmo" >> $@

ifeq ($(wildcard .depend),.depend)
include .depend
endif

#
# Install.
#

findlib_install:
	ocamlfind install $(PACKAGE) META pgocaml.a pgocaml.cma pgocaml.cmxa pGOCaml_generic.cm[ix] pGOCaml.cm[ix] pa_pgsql.cmo

reinstall:
	ocamlfind remove $(PACKAGE)
	ocamlfind install $(PACKAGE) META pgocaml.a pgocaml.cma pgocaml.cmxa pGOCaml_generic.cm[ix] pGOCaml.cm[ix] pa_pgsql.cmo

install:
	rm -rf $(DESTDIR)$(OCAMLLIBDIR)/$(PACKAGE)
	install -c -m 0755 -d $(DESTDIR)$(OCAMLLIBDIR)/$(PACKAGE)
	install -c -m 0644 *.cmi *.mli *.cmo *.cma *.cmxa *.a META \
	  $(DESTDIR)$(OCAMLLIBDIR)/$(PACKAGE)

#
# Distribution.
#

dist:
	$(MAKE) check-manifest
	rm -rf $(PACKAGE)-$(VERSION)
	mkdir $(PACKAGE)-$(VERSION)
	tar -cf - -T MANIFEST | tar -C $(PACKAGE)-$(VERSION) -xf -
	tar zcf $(PACKAGE)-$(VERSION).tar.gz $(PACKAGE)-$(VERSION)
	rm -rf $(PACKAGE)-$(VERSION)
	ls -l $(PACKAGE)-$(VERSION).tar.gz

check-manifest:
	svn list | sort > .check-manifest; \
	sort MANIFEST > .orig-manifest; \
	diff -u .orig-manifest .check-manifest; rv=$$?; \
	rm -f .orig-manifest .check-manifest; \
	exit $$rv

#
# Debian packages.
#

dpkg:
	@if [ 0 != `cvs -q update | wc -l` ]; then \
	echo Please commit all changes to CVS first.; \
	exit 1; \
	fi
	$(MAKE) dist
	rm -rf /tmp/dbuild
	mkdir /tmp/dbuild
	cp $(PACKAGE)-$(VERSION).tar.gz \
	  /tmp/dbuild/$(PACKAGE)_$(VERSION).orig.tar.gz
	export CVSROOT=`cat CVS/Root`; \
	  cd /tmp/dbuild && \
	  cvs export \
	  -d $(PACKAGE)-$(VERSION) \
	  -D now merjis/freeware/pgocaml
	cd /tmp/dbuild/$(PACKAGE)-$(VERSION) && dpkg-buildpackage -rfakeroot
	rm -rf /tmp/dbuild/$(PACKAGE)-$(VERSION)
	ls -l /tmp/dbuild

#
# Developer documentation (in html/ subdirectory).
#

doc:
	rm -rf html
	mkdir html
	-ocamlfind ocamldoc $(OCAMLDOCFLAGS) -d html pGOCaml_generic.mli pGOCaml_generic.ml pGOCaml.mli pGOCaml.ml

#
# Miscelaneous.
#

force:

.PHONY:	depend dist check-manifest dpkg doc print_test

.SUFFIXES:	.cmo .cmi .cmx .ml .mli

## pgocaml 1.4

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # PG'OCaml - type safe interface to PostgreSQL.
-# Copyright (C) 2005-2008 Richard Jones and other authors.
+# Copyright (C) 2005-2009 Richard Jones and other authors.
 #
 # This library is free software; you can redistribute it and/or
 # modify it under the terms of the GNU Library General Public
@@ -150,11 +150,11 @@
 #
 
 findlib_install:
-	ocamlfind install $(PACKAGE) META pgocaml.a pgocaml.cma pgocaml.cmxa pGOCaml_generic.cm[ix] pGOCaml.cm[ix] pa_pgsql.cmo
+	ocamlfind install $(PACKAGE) META pgocaml.a pgocaml.cma pgocaml.cmxa pGOCaml_generic.cm[ix] pGOCaml.cm[ix] pa_pgsql.cmo pGOCaml_generic.mli pGOCaml.mli
 
 reinstall:
 	ocamlfind remove $(PACKAGE)
-	ocamlfind install $(PACKAGE) META pgocaml.a pgocaml.cma pgocaml.cmxa pGOCaml_generic.cm[ix] pGOCaml.cm[ix] pa_pgsql.cmo
+	ocamlfind install $(PACKAGE) META pgocaml.a pgocaml.cma pgocaml.cmxa pGOCaml_generic.cm[ix] pGOCaml.cm[ix] pa_pgsql.cmo pGOCaml_generic.mli pGOCaml.mli
 
 install:
 	rm -rf $(DESTDIR)$(OCAMLLIBDIR)/$(PACKAGE)

=== debian/changelog ===
pgocaml (1.4-2) unstable; urgency=low

  * PG'OCaml moved to forge.ocamlcore.org
    - update Homepage field
    - update debian/watch file
  * Bump Standards-Version to 3.9.2, no changes needed.
  * Add support for hex format introduced in Postgresql 9.0 (Closes: #640134)
    by cherry-picking a patch from upstream's subversion repository.
  * Turn a Conflicts into a Break to fix conflicts-with-version
  * Fix duplicate-short-description libpgocaml-ocaml-dev libpgocaml-ocaml
  * Convert to 3.0 (quilt) source format

 -- Mehdi Dogguy <mehdi@debian.org>  Wed, 04 Jan 2012 21:06:13 +0100

pgocaml (1.4-1) unstable; urgency=low

  * New upstream release.
  * Switched patch system from dpatch to quilt.
  * Adapted patches to new upstream.
  * Removed the .cmx and .cmi files of the profiler from the package.
  * Bumped Standards Version to 3.8.4.

 -- Guillaume Yziquel <guillaume.yziquel@citycable.ch>  Mon, 22 Feb 2010 14:44:46 +0100

pgocaml (1.3-3) unstable; urgency=low

  * Do not install META and pgocaml.cma in libpgocaml-ocaml-dev
    (Closes: #556419).
  * Make libpgocaml-ocaml Conflicts/Replaces with libpgocaml-ocaml-dev
    to be sure that the conflicting files get removed before installing
    libpgocaml-ocaml.

 -- Mehdi Dogguy <mehdi@debian.org>  Mon, 16 Nov 2009 09:32:24 +0100

pgocaml (1.3-2) unstable; urgency=low

  [ Sylvain Le Gall ]
  * Update to dh-ocaml 0.9
    * Use CDBS rules (Closes: #549151)
    * Use dh_ocamldoc
    * Use depends/provides
  * Non-ocamlopt archs excluded - yziquel (Closes: #541682)

  [ Mehdi Dogguy ]
  * Add myself to uploaders

 -- Mehdi Dogguy <mehdi@debian.org>  Fri, 13 Nov 2009 12:07:34 +0100

pgocaml (1.3-1) unstable; urgency=low

  * Initial release (Closes: #516629)

 -- Guillaume Yziquel <guillaume.yziquel@citycable.ch>  Thu, 07 Jun 2009 00:26:42 +0100

=== debian/control ===
Source: pgocaml
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Guillaume Yziquel <guillaume.yziquel@citycable.ch>, 
           Sylvain Le Gall <gildor@debian.org>,
           Mehdi Dogguy <mehdi@debian.org>
DM-Upload-Allowed: yes
Build-Depends: cdbs (>= 0.4.52),
 debhelper (>= 7),
 quilt,
 dh-ocaml (>= 0.9),
 ocaml-nox (>=3.11),
 camlp4 (>=3.11),
 ocaml-findlib,
 libextlib-ocaml-dev,
 libpcre-ocaml-dev,
 libcsv-ocaml-dev,
 libcalendar-ocaml-dev (>= 2)
Standards-Version: 3.9.2
Homepage: http://pgocaml.forge.ocamlcore.org/
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/pgocaml.git
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/pgocaml.git

Package: libpgocaml-ocaml-dev
Architecture: any
Depends: libpgocaml-ocaml (= ${binary:Version}),
 libextlib-ocaml-dev,
 libpcre-ocaml-dev,
 libcsv-ocaml-dev,
 libcalendar-ocaml-dev (>= 2),
 ${ocaml:Depends},
 ${misc:Depends},
 ${shlibs:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Suggests: postgresql (>= 7.4)
Description: OCaml type-safe bindings for PostgreSQL (development)
 PG'OCaml provides an interface to PostgreSQL databases for OCaml applications.
 It uses Camlp4 to extend the OCaml syntax, enabling one to directly embed SQL
 statements inside the OCaml code. Moreover, it uses the describe feature of
 PostgreSQL to obtain type information about the database. This allows PG'OCaml
 to check at compile-time if the program is indeed consistent with the database
 structure. This type-safe database access is the primary advantage that
 PG'OCaml has over other PostgreSQL bindings for OCaml.
 .
 This package contains development files for PG'OCaml.

Package: libpgocaml-ocaml
Architecture: any
Depends: libpcre-ocaml,
 libcalendar-ocaml (>= 2),
 ${ocaml:Depends},
 ${misc:Depends},
 ${shlibs:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Suggests: postgresql (>= 7.4)
Breaks: libpgocaml-ocaml-dev (<< 1.3-3)
Replaces: libpgocaml-ocaml-dev (<< 1.3-3)
Description: OCaml type-safe bindings for PostgreSQL (runtime)
 PG'OCaml provides an interface to PostgreSQL databases for OCaml applications.
 It uses Camlp4 to extend the OCaml syntax, enabling one to directly embed SQL
 statements inside the OCaml code. Moreover, it uses the describe feature of
 PostgreSQL to obtain type information about the database. This allows PG'OCaml
 to check at compile-time if the program is indeed consistent with the database
 structure. This type-safe database access is the primary advantage that
 PG'OCaml has over other PostgreSQL bindings for OCaml.
 .
 This package contains dynamically loadable plugins for PG'OCaml.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for pgocaml package
# Copyright (C) 2009 Guillaume Yziquel <guillaume.yziquel@citycable.ch>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,
# MA 02110-1301, USA.

include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/rules/ocaml.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_MAKE_CLEAN_TARGET   := clean
ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
DEB_MAKE_BUILD_TARGET   := all
DEB_MAKE_INSTALL_TARGET := install DESTDIR=debian/libpgocaml-ocaml-dev/
else
DEB_MAKE_BUILD_TARGET   := all_byte
DEB_MAKE_INSTALL_TARGET := install_byte DESTDIR=debian/libpgocaml-ocaml-dev/
endif

binary-install/libpgocaml-ocaml-dev::
	rm -f debian/libpgocaml-ocaml-dev/$(OCAML_STDLIB_DIR)/pgocaml/META
	rm -f debian/libpgocaml-ocaml-dev/$(OCAML_STDLIB_DIR)/pgocaml/pgocaml.cma
	rm -f debian/libpgocaml-ocaml-dev/$(OCAML_STDLIB_DIR)/pgocaml/pgocaml_prof.cmi
	rm -f debian/libpgocaml-ocaml-dev/$(OCAML_STDLIB_DIR)/pgocaml/pgocaml_prof.cmx

pre-build::
	make depend
	if ! test -f pGOCaml_config.ml.orig; then \
	  cp -f pGOCaml_config.ml pGOCaml_config.ml.orig; \
	fi

clean::
	-$(RM) pgocaml.cmxs
	-mv pGOCaml_config.ml.orig pGOCaml_config.ml

## pgocaml 1.5

=== Makefile ===
--- 
+++ 
@@ -18,12 +18,23 @@
 
 include Makefile.config
 
+ifeq ($(USE_BATTERIES),yes)
+EXTLIB := batteries
+else
+EXTLIB := extlib
+endif
+
 SED	:= sed
 FGREP	:= fgrep
 
 OCAMLCFLAGS	:= -g
-OCAMLCPACKAGES	:= -package unix,extlib,pcre,calendar,csv
+OCAMLCPACKAGES	:= -package unix,$(EXTLIB),pcre,calendar,csv
 OCAMLCLIBS	:= -linkpkg
+
+OCAMLSYNTAX := -syntax camlp4o -package camlp4.macro
+ifeq ($(USE_BATTERIES),yes)
+OCAMLSYNTAX += -ppopt -DUSE_BATTERIES
+endif
 
 OCAMLOPTFLAGS	:=
 OCAMLOPTPACKAGES := $(OCAMLCPACKAGES)
@@ -37,7 +48,7 @@
 	$(call GETLIB,unix) \
 	$(call GETLIB,str) \
 	$(call GETLIB,pcre) \
-	$(call GETLIB,extlib) \
+	$(call GETLIB,$(EXTLIB)) \
 	$(call GETLIB,calendar) \
 	$(call GETLIB,csv) \
 	./pgocaml.cma
@@ -49,6 +60,10 @@
 
 OCAMLVERSION := $(shell ocamlc -v | $(FGREP) "version" | $(SED) -e "s/.*3\.\(..\)\..*/\1/")
 P4_PARAMS := $(shell [ $(OCAMLVERSION) -ge 9 ] && echo -loc loc)
+P4_PARAMS += -parser Camlp4MacroParser
+ifeq ($(USE_BATTERIES),yes)
+P4_PARAMS += -DUSE_BATTERIES
+endif
 
 ifdef WINDOWS
   EXECUTABLE_SUFFIX := .exe
@@ -109,9 +124,9 @@
 .mli.cmi:
 	ocamlfind ocamlc $(OCAMLCFLAGS) $(OCAMLCINCS) $(OCAMLCPACKAGES) -c $<
 .ml.cmo:
-	ocamlfind ocamlc $(OCAMLCFLAGS) $(OCAMLCINCS) $(OCAMLCPACKAGES) -c $<
+	ocamlfind ocamlc $(OCAMLCFLAGS) $(OCAMLSYNTAX) $(OCAMLCINCS) $(OCAMLCPACKAGES) -c $<
 .ml.cmx:
-	ocamlfind ocamlopt $(OCAMLOPTFLAGS) $(OCAMLOPTINCS) $(OCAMLOPTPACKAGES) -c $<
+	ocamlfind ocamlopt $(OCAMLOPTFLAGS) $(OCAMLSYNTAX) $(OCAMLOPTINCS) $(OCAMLOPTPACKAGES) -c $<
 
 #
 # Findlib META file.
@@ -120,6 +135,7 @@
 META:	META.in Makefile.config
 	$(SED)  -e 's/@PACKAGE@/$(PACKAGE)/' \
 		-e 's/@VERSION@/$(VERSION)/' \
+		-e 's/@EXTLIB@/$(EXTLIB)/' \
 		< $< > $@
 
 #
@@ -138,7 +154,8 @@
 
 .depend: pGOCaml_config.ml
 	rm -f .depend
-	ocamldep pGOCaml*.ml pGOCaml*.mli > $@
+	ocamlfind ocamldep $(OCAMLSYNTAX) pGOCaml*.ml >$@
+	ocamldep pGOCaml*.mli >> $@
 	-ocamldep -pp "camlp4o $(FOR_P4) ./pa_pgsql.cmo" >> $@
 
 ifeq ($(wildcard .depend),.depend)
@@ -212,7 +229,7 @@
 doc:
 	rm -rf html
 	mkdir html
-	-ocamlfind ocamldoc $(OCAMLDOCFLAGS) -d html pGOCaml_generic.mli pGOCaml_generic.ml pGOCaml.mli pGOCaml.ml
+	-ocamlfind ocamldoc $(OCAMLDOCFLAGS) $(OCAMLSYNTAX) -d html pGOCaml_generic.mli pGOCaml_generic.ml pGOCaml.mli pGOCaml.ml
 
 #
 # Miscelaneous.

=== debian/changelog ===
pgocaml (1.5-2) unstable; urgency=low

  * Use USE_BATTERIES=yes for bytecode architectures too.

 -- Mehdi Dogguy <mehdi@debian.org>  Wed, 06 Jun 2012 17:53:30 +0200

pgocaml (1.5-1) unstable; urgency=low

  [ Sylvain Le Gall ]
  * New upstream version.
  * Use batteries to replace extlib (Closes: #670474)
  * Drop patch 05_support_hex_format, applied upstream.

  [ Mehdi Dogguy ]
  * Bump Standards-Version to 3.9.3, no changes needed.
  * Findlib is needed to link pgocaml provided binaries
    - add libfindlib-ocaml-dev to Build-Depends
    - add patch 05_makefile_findlib
  * Update packages list needed to generate the documentation
    - update list in libpgocaml-ocaml-dev.ocamldoc

 -- Mehdi Dogguy <mehdi@debian.org>  Wed, 06 Jun 2012 15:09:50 +0200

=== debian/control ===
--- 
+++ 
@@ -13,11 +13,12 @@
  ocaml-nox (>=3.11),
  camlp4 (>=3.11),
  ocaml-findlib,
- libextlib-ocaml-dev,
+ libbatteries-ocaml-dev,
  libpcre-ocaml-dev,
  libcsv-ocaml-dev,
+ libfindlib-ocaml-dev,
  libcalendar-ocaml-dev (>= 2)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://pgocaml.forge.ocamlcore.org/
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/pgocaml.git
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/pgocaml.git
@@ -25,7 +26,7 @@
 Package: libpgocaml-ocaml-dev
 Architecture: any
 Depends: libpgocaml-ocaml (= ${binary:Version}),
- libextlib-ocaml-dev,
+ libbatteries-ocaml-dev,
  libpcre-ocaml-dev,
  libcsv-ocaml-dev,
  libcalendar-ocaml-dev (>= 2),

=== debian/rules ===
--- 
+++ 
@@ -24,10 +24,10 @@
 
 DEB_MAKE_CLEAN_TARGET   := clean
 ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
-DEB_MAKE_BUILD_TARGET   := all
+DEB_MAKE_BUILD_TARGET   := all USE_BATTERIES=yes
 DEB_MAKE_INSTALL_TARGET := install DESTDIR=debian/libpgocaml-ocaml-dev/
 else
-DEB_MAKE_BUILD_TARGET   := all_byte
+DEB_MAKE_BUILD_TARGET   := all_byte USE_BATTERIES=yes
 DEB_MAKE_INSTALL_TARGET := install_byte DESTDIR=debian/libpgocaml-ocaml-dev/
 endif

## pgocaml 1.7.1

=== Makefile ===
# OASIS_START
# DO NOT EDIT (digest: bc1e05bfc8b39b664f29dae8dbd3ebbb)

SETUP = ocaml setup.ml

build: setup.data
	$(SETUP) -build $(BUILDFLAGS)

doc: setup.data build
	$(SETUP) -doc $(DOCFLAGS)

test: setup.data build
	$(SETUP) -test $(TESTFLAGS)

all: 
	$(SETUP) -all $(ALLFLAGS)

install: setup.data
	$(SETUP) -install $(INSTALLFLAGS)

uninstall: setup.data
	$(SETUP) -uninstall $(UNINSTALLFLAGS)

reinstall: setup.data
	$(SETUP) -reinstall $(REINSTALLFLAGS)

clean: 
	$(SETUP) -clean $(CLEANFLAGS)

distclean: 
	$(SETUP) -distclean $(DISTCLEANFLAGS)

setup.data:
	$(SETUP) -configure $(CONFIGUREFLAGS)

.PHONY: build doc test all install uninstall reinstall clean distclean configure

# OASIS_STOP

DIR=$(if $(wildcard /var/run/postgresql),"/var/run/postgresql","/tmp")

config:
	echo "let default_unix_domain_socket_dir = \"$(DIR)\"" > src/PGOCaml_config.ml

=== debian/changelog ===
pgocaml (1.7.1-2build2) trusty; urgency=medium

  * Rebuild for new OCaml ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 03 Feb 2014 18:20:11 +0000

pgocaml (1.7.1-2build1) trusty; urgency=medium

  * Rebuild for ocaml-4.01.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Dec 2013 22:23:09 +0000

pgocaml (1.7.1-2) unstable; urgency=low

  * Team upload
  * Fix FTBFS on !natdynlink

 -- Stéphane Glondu <glondu@debian.org>  Fri, 12 Jul 2013 14:13:37 +0200

pgocaml (1.7.1-1) unstable; urgency=low

  [ Stéphane Glondu ]
  * Team upload
  * New upstream release
    - remove obsolete patches
    - build-depend on libbatteries-ocaml-dev >= 2
  * Update Vcs-*
  * Switch packaging to dh 9
  * Remove obsolete DM-Upload-Allowed field

  [ Sylvain Le Gall ]
  * Remove Sylvain Le Gall from uploaders

 -- Stéphane Glondu <glondu@debian.org>  Fri, 12 Jul 2013 12:26:39 +0200

=== debian/control ===
--- 
+++ 
@@ -3,25 +3,23 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Guillaume Yziquel <guillaume.yziquel@citycable.ch>, 
-           Sylvain Le Gall <gildor@debian.org>,
            Mehdi Dogguy <mehdi@debian.org>
-DM-Upload-Allowed: yes
-Build-Depends: cdbs (>= 0.4.52),
- debhelper (>= 7),
+Build-Depends:
+ debhelper (>= 9),
  quilt,
  dh-ocaml (>= 0.9),
  ocaml-nox (>=3.11),
  camlp4 (>=3.11),
  ocaml-findlib,
- libbatteries-ocaml-dev,
+ libbatteries-ocaml-dev (>= 2),
  libpcre-ocaml-dev,
  libcsv-ocaml-dev,
  libfindlib-ocaml-dev,
  libcalendar-ocaml-dev (>= 2)
 Standards-Version: 3.9.3
 Homepage: http://pgocaml.forge.ocamlcore.org/
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/pgocaml.git
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/pgocaml.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/pgocaml.git
+Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/pgocaml.git
 
 Package: libpgocaml-ocaml-dev
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

DESTDIR=$(CURDIR)/debian/tmp
export OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)
export OCAMLFIND_LDCONF=ignore

%:
	dh $@ --with ocaml

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	ocaml setup.ml -configure --prefix /usr --destdir '$(DESTDIR)' --docdir /usr/share/doc/libpgocaml-ocaml-dev/html

.PHONY: override_dh_auto_build
override_dh_auto_build:
	ocaml setup.ml -build
	ocaml setup.ml -doc

.PHONY: override_dh_auto_test
override_dh_auto_test:
	ocaml setup.ml -test

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p '$(OCAMLFIND_DESTDIR)'
	ocaml setup.ml -install

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	ocaml setup.ml -distclean

.PHONY: override_dh_install
override_dh_install:
	dh_install --fail-missing

## pgocaml 2.1

=== debian/changelog ===
pgocaml (2.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Wed, 06 Aug 2014 10:56:15 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,6 @@
  ocaml-nox (>=3.11),
  camlp4 (>=3.11),
  ocaml-findlib,
- libbatteries-ocaml-dev (>= 2),
  libpcre-ocaml-dev,
  libcsv-ocaml-dev,
  libfindlib-ocaml-dev,

## pgocaml 2.2

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # OASIS_START
-# DO NOT EDIT (digest: bc1e05bfc8b39b664f29dae8dbd3ebbb)
+# DO NOT EDIT (digest: a3c674b4239234cbbe53afe090018954)
 
 SETUP = ocaml setup.ml
 
@@ -12,7 +12,7 @@
 test: setup.data build
 	$(SETUP) -test $(TESTFLAGS)
 
-all: 
+all:
 	$(SETUP) -all $(ALLFLAGS)
 
 install: setup.data
@@ -24,13 +24,16 @@
 reinstall: setup.data
 	$(SETUP) -reinstall $(REINSTALLFLAGS)
 
-clean: 
+clean:
 	$(SETUP) -clean $(CLEANFLAGS)
 
-distclean: 
+distclean:
 	$(SETUP) -distclean $(DISTCLEANFLAGS)
 
 setup.data:
+	$(SETUP) -configure $(CONFIGUREFLAGS)
+
+configure:
 	$(SETUP) -configure $(CONFIGUREFLAGS)
 
 .PHONY: build doc test all install uninstall reinstall clean distclean configure

=== debian/changelog ===
pgocaml (2.2-2build1) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Oct 2017 16:47:24 +0200

pgocaml (2.2-2) unstable; urgency=medium

  * Team upload
  * Add ocamlbuild to Build-Depends
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Sat, 22 Jul 2017 08:33:13 +0200

pgocaml (2.2-1) unstable; urgency=medium

  * New upstream release
  * Install .annot, .cmt and .cmti files in -dev package.

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 17 Jan 2016 23:51:17 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,8 @@
  debhelper (>= 9),
  quilt,
  dh-ocaml (>= 0.9),
- ocaml-nox (>=3.11),
+ ocaml-nox (>=4.02),
+ ocamlbuild,
  camlp4 (>=3.11),
  ocaml-findlib,
  libpcre-ocaml-dev,
@@ -17,8 +18,8 @@
  libcalendar-ocaml-dev (>= 2)
 Standards-Version: 3.9.3
 Homepage: http://pgocaml.forge.ocamlcore.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/pgocaml.git
-Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/pgocaml.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/pgocaml.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/pgocaml.git
 
 Package: libpgocaml-ocaml-dev
 Architecture: any

=== debian/watch ===
version=3
http://forge.ocamlcore.org/frs/?group_id=262 /frs/download.php/.*/pgocaml-([^-]+).tgz

## pgocaml 2.3

=== debian/changelog ===
pgocaml (2.3-1) unstable; urgency=medium

  * New upstream release
    * 2.3 uses Re instead of Pcre. Update d/control file accordingly
  * Pass --enable-p4 to configure script to enable camlp4 extension
  * Bump Standards-Version to 4.1.4, no changes required
  * Remove Guillaume from Uploaders since he has been MIA since quite
    a long time now. Thanks Guillaume for your past work on this
    package!
  * Update Vcs-* fields since Git repository migrated to Salsa

 -- Mehdi Dogguy <mehdi@debian.org>  Fri, 11 May 2018 11:50:49 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: ocaml
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders: Guillaume Yziquel <guillaume.yziquel@citycable.ch>, 
-           Mehdi Dogguy <mehdi@debian.org>
+Uploaders: Mehdi Dogguy <mehdi@debian.org>
 Build-Depends:
  debhelper (>= 9),
  quilt,
@@ -12,20 +11,20 @@
  ocamlbuild,
  camlp4 (>=3.11),
  ocaml-findlib,
- libpcre-ocaml-dev,
+ libre-ocaml-dev,
  libcsv-ocaml-dev,
  libfindlib-ocaml-dev,
  libcalendar-ocaml-dev (>= 2)
-Standards-Version: 3.9.3
+Standards-Version: 4.1.4
 Homepage: http://pgocaml.forge.ocamlcore.org/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/pgocaml.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/pgocaml.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/pgocaml
+Vcs-Git: https://salsa.debian.org/ocaml-team/pgocaml.git
 
 Package: libpgocaml-ocaml-dev
 Architecture: any
 Depends: libpgocaml-ocaml (= ${binary:Version}),
  libbatteries-ocaml-dev,
- libpcre-ocaml-dev,
+ libre-ocaml-dev,
  libcsv-ocaml-dev,
  libcalendar-ocaml-dev (>= 2),
  ${ocaml:Depends},
@@ -47,7 +46,7 @@
 
 Package: libpgocaml-ocaml
 Architecture: any
-Depends: libpcre-ocaml,
+Depends:
  libcalendar-ocaml (>= 2),
  ${ocaml:Depends},
  ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 .PHONY: override_dh_auto_configure
 override_dh_auto_configure:
-	ocaml setup.ml -configure --prefix /usr --destdir '$(DESTDIR)' --docdir /usr/share/doc/libpgocaml-ocaml-dev/html
+	ocaml setup.ml -configure --enable-p4 --prefix /usr --destdir '$(DESTDIR)' --docdir /usr/share/doc/libpgocaml-ocaml-dev/html
 
 .PHONY: override_dh_auto_build
 override_dh_auto_build:

## pgocaml 4.3.0

=== debian/changelog ===
pgocaml (4.3.0-1build1) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Jan 2022 17:57:34 +0100

pgocaml (4.3.0-1) unstable; urgency=low

  [ Stéphane Glondu ]
  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.6.0
  * Bump debhelper compat level to 13
  * Add Rules-Requires-Root: no
  * Update debian/watch and Homepage

  [ Debian Janitor ]
  * Use versioned copyright format URI.
  * Update copyright file header to use current field names (Upstream-Maintainer
    => Upstream-Contact)
  * Bump debhelper from deprecated 9 to 10.
  * Replace spaces in short license names with dashes.
  * Refer to specific version of license GPL-2+.
  * Fix day-of-week for changelog entry 1.3-1.

 -- Stéphane Glondu <glondu@debian.org>  Mon, 29 Nov 2021 16:15:25 +0100

=== debian/control ===
--- 
+++ 
@@ -4,19 +4,21 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Mehdi Dogguy <mehdi@debian.org>
 Build-Depends:
- debhelper (>= 9),
- quilt,
- dh-ocaml (>= 0.9),
- ocaml-nox (>=4.02),
- ocamlbuild,
- camlp4 (>=3.11),
- ocaml-findlib,
+ debhelper-compat (= 13),
+ dh-ocaml,
+ ocaml-nox,
+ ocaml-dune,
  libre-ocaml-dev,
  libcsv-ocaml-dev,
- libfindlib-ocaml-dev,
+ libhex-ocaml-dev,
+ libppx-sexp-conv-ocaml-dev,
+ libppx-deriving-ocaml-dev,
+ librresult-ocaml-dev,
+ libsexplib-ocaml-dev,
  libcalendar-ocaml-dev (>= 2)
-Standards-Version: 4.1.4
-Homepage: http://pgocaml.forge.ocamlcore.org/
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
+Homepage: https://github.com/darioteixeira/pgocaml
 Vcs-Browser: https://salsa.debian.org/ocaml-team/pgocaml
 Vcs-Git: https://salsa.debian.org/ocaml-team/pgocaml.git

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

DESTDIR=$(CURDIR)/debian/tmp

%:
	dh $@ --with ocaml

override_dh_auto_build:
	dune build -p pgocaml

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR) pgocaml

## pgocaml 4.4.0

=== debian/changelog ===
pgocaml (4.4.0-1build15) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 22 Oct 2025 22:43:24 +0200

pgocaml (4.4.0-1build14) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 31 Aug 2025 13:33:53 +0200

pgocaml (4.4.0-1build13) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 19 Jun 2025 11:05:20 +0200

pgocaml (4.4.0-1build12) questing; urgency=medium

  * Rebuild against latest ocaml libraries

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 08 May 2025 19:58:58 -0400

pgocaml (4.4.0-1build11) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 14 Feb 2025 00:20:01 +0100

pgocaml (4.4.0-1build10) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 30 Jan 2025 22:18:49 +0100

pgocaml (4.4.0-1build9) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 Jan 2025 09:26:11 +0100

pgocaml (4.4.0-1build8) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 Jan 2025 19:02:27 +0100

pgocaml (4.4.0-1build7) plucky; urgency=medium

  * No-change rebuild for OCaml ABI changes.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Nov 2024 13:13:31 +0100

pgocaml (4.4.0-1build6) oracular; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 17 Sep 2024 14:38:40 +0200

pgocaml (4.4.0-1build5) oracular; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 11 Sep 2024 21:48:42 +0200

pgocaml (4.4.0-1build4) oracular; urgency=medium

  * No-change rebuild for OCaml ABIs.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 07 Sep 2024 00:44:00 +0200

pgocaml (4.4.0-1build3) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:48:38 +0200

pgocaml (4.4.0-1build2) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 03 Jun 2024 23:39:30 +0200

pgocaml (4.4.0-1build1) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 17 Feb 2024 01:22:41 +0100

pgocaml (4.4.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sat, 07 Oct 2023 11:25:03 +0200

pgocaml (4.3.0-3) unstable; urgency=medium

  * Team upload
  * Use ocaml_dune DH buildsystem

 -- Stéphane Glondu <glondu@debian.org>  Thu, 17 Aug 2023 07:54:57 +0200

pgocaml (4.3.0-2) unstable; urgency=medium

  * Team upload.
  * Bump standards-version to 4.6.2.
  * Fix compilation with recent dune

 -- Julien Puydt <jpuydt@debian.org>  Thu, 06 Jul 2023 09:59:58 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Uploaders: Mehdi Dogguy <mehdi@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- dh-ocaml,
- ocaml-nox,
+ ocaml,
  ocaml-dune,
  libre-ocaml-dev,
  libcsv-ocaml-dev,
@@ -15,8 +14,11 @@
  libppx-deriving-ocaml-dev,
  librresult-ocaml-dev,
  libsexplib-ocaml-dev,
- libcalendar-ocaml-dev (>= 2)
-Standards-Version: 4.6.0
+ libcalendar-ocaml-dev (>= 2),
+ libppx-optcomp-ocaml-dev,
+ libcamlp-streams-ocaml-dev,
+ dh-ocaml (>= 1.2.2)
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/darioteixeira/pgocaml
 Vcs-Browser: https://salsa.debian.org/ocaml-team/pgocaml

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with ocaml --buildsystem ocaml_dune

override_dh_auto_test:
# Needs network

=== debian/watch ===
version=4
https://github.com/darioteixeira/pgocaml/tags .*/v?([0-9.]+)\.tar\.gz
